#
# spec file for package lua-luafilesystem
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define flavor lua53
%define mod_name luafilesystem
%define pversion 1.7.0
%define _pversion 1_7_0_2
Version:        %pversion
Release:        1.18
Summary:        Filesystem support for Lua
License:        MIT
Group:          Development/Libraries/Other
Url:            http://keplerproject.github.io/luafilesystem/
Source:         https://github.com/keplerproject/luafilesystem/archive/v%{_pversion}.tar.gz#/%{mod_name}-%{version}.tar.gz

Requires:       %{flavor}
%if "%{flavor}" == "lua53"
Provides:       lua-%{mod_name} = %{version}
Obsoletes:      lua-%{mod_name} < %{version}
%endif
%if "%{flavor}" == ""
Name:           lua-%{mod_name}
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-%{mod_name}
%endif

%description
LuaFileSystem is a Lua library developed to complement the set of functions
related to file systems offered by the standard Lua distribution.

LuaFileSystem offers a portable way to access the underlying directory
structure and file attributes.

%prep
%setup -q -n %{mod_name}-%{_pversion}

sed -i 's|@@VERSION@@|%{version}|g' Makefile

%build
make -j1 CFLAGS="%{optflags} -fPIC -I%{lua_incdir}"

%install
%make_install LUA_LIBDIR='$(DESTDIR)%{lua_archdir}'

%files
%doc doc/us/*
%{lua_archdir}/lfs.so

%changelog
* Sun Dec 24 2017 avindra@opensuse.org
- Fix target folder name in tarball
* Tue Nov  7 2017 aavindraa@gmail.com
- Update to version 1.7.0:
  * symlinkattributes function now provides 'target' field,
    containing name of the file that the symlink points to.
  * attributes, symlinkattributes, touch, mkdir, and rmdir functions
    now return system-dependent error code as the third value on error.
  * Fixed detection of closed files for Lua 5.2+ in setmode, lock,
    and unlock functions.
  * Fixed various compiler warnings.
* Mon Oct 30 2017 jmatejek@suse.com
- do not build for Lua 5.2
* Fri Aug 11 2017 eich@suse.com
- Add defines for the version number and a version number string
  with '_' (underscores) to keep these close together and in sync.
* Thu Aug 10 2017 eich@suse.com
- Fix provides/obsoletes for the old package name.
* Thu Jul 13 2017 tchvatal@suse.com
- Switch to multibuild syntax to produce results for all lua flavors
* Wed Jan  4 2017 eich@suse.com
- Replaced 'makeinstall' by 'make_install'.
* Mon Oct 17 2016 eich@suse.com
- Setting 'download_files' service to mode='localonly'
  and adding source tarball. (Required for Factory).
* Tue Oct 11 2016 eich@suse.com
- Update to version 1.6.3:
  * Lua 5.3 support.
  * Assorted bugfixes.
- Use source services
- Make use of lua macros
- Add Requires for lua
- Add -fPIC compiler flag
* Wed Jan 29 2014 kianseong@gmail.com
- Initial Version
